config/kernel_linux_headers_install.in
author "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr>
Sun May 27 20:22:06 2007 +0000 (2007-05-27)
changeset 136 22b5ef41df97
parent 51 7faec10341f1
child 157 dce3a2ba6e71
permissions -rw-r--r--
Merge the NPTL stuff.
That still leaves the linuxthreads stuff broken, but it was just before. I don't care anyway. Time to fix that later...
     1 choice
     2     bool
     3     prompt "Linux kernel version"
     4 
     5 config KERNEL_INSTALL_V_2_6_18
     6     bool
     7     prompt "2.6.18"
     8 
     9 config KERNEL_INSTALL_V_2_6_18_1
    10     bool
    11     prompt "2.6.18.1"
    12     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    13 
    14 config KERNEL_INSTALL_V_2_6_18_2
    15     bool
    16     prompt "2.6.18.2"
    17     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    18 
    19 config KERNEL_INSTALL_V_2_6_18_3
    20     bool
    21     prompt "2.6.18.3"
    22     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    23 
    24 config KERNEL_INSTALL_V_2_6_18_4
    25     bool
    26     prompt "2.6.18.4"
    27     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    28 
    29 config KERNEL_INSTALL_V_2_6_18_5
    30     bool
    31     prompt "2.6.18.5"
    32     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    33 
    34 config KERNEL_INSTALL_V_2_6_18_6
    35     bool
    36     prompt "2.6.18.6"
    37     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    38 
    39 config KERNEL_INSTALL_V_2_6_19
    40     bool
    41     prompt "2.6.19"
    42 
    43 config KERNEL_INSTALL_V_2_6_19_1
    44     bool
    45     prompt "2.6.19.1"
    46     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    47 
    48 config KERNEL_INSTALL_V_2_6_19_2
    49     bool
    50     prompt "2.6.19.2"
    51     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    52 
    53 config KERNEL_INSTALL_V_2_6_20
    54     bool
    55     prompt "2.6.20"
    56 
    57 config KERNEL_INSTALL_V_2_6_20_1
    58     bool
    59     prompt "2.6.20.1"
    60     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    61 
    62 config KERNEL_INSTALL_V_2_6_20_2
    63     bool
    64     prompt "2.6.20.2"
    65     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    66 
    67 config KERNEL_INSTALL_V_2_6_20_3
    68     bool
    69     prompt "2.6.20.3"
    70     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    71 
    72 config KERNEL_INSTALL_V_2_6_20_4
    73     bool
    74     prompt "2.6.20.4"
    75     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    76 
    77 config KERNEL_INSTALL_V_2_6_20_5
    78     bool
    79     prompt "2.6.20.5"
    80     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    81 
    82 config KERNEL_INSTALL_V_2_6_20_6
    83     bool
    84     prompt "2.6.20.6"
    85     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    86 
    87 config KERNEL_INSTALL_V_2_6_20_7
    88     bool
    89     prompt "2.6.20.7"
    90     depends on KERNEL_VERSION_SEE_EXTRAVERSION
    91 
    92 config KERNEL_INSTALL_V_2_6_21
    93     bool
    94     prompt "2.6.21"
    95 
    96 config KERNEL_INSTALL_V_2_6_21_1
    97     bool
    98     prompt "2.6.21.1"
    99     depends on KERNEL_VERSION_SEE_EXTRAVERSION
   100 
   101 config KERNEL_INSTALL_V_2_6_21_2
   102     bool
   103     prompt "2.6.21.2"
   104     depends on KERNEL_VERSION_SEE_EXTRAVERSION
   105 
   106 config KERNEL_INSTALL_V_2_6_21_3
   107     bool
   108     prompt "2.6.21.3"
   109     depends on KERNEL_VERSION_SEE_EXTRAVERSION
   110 
   111 # CT_INSERT_VERSION_ABOVE
   112 # Don't remove above line!
   113 endchoice
   114 
   115 config KERNEL_VERSION
   116     string
   117     default "2.6.18" if KERNEL_INSTALL_V_2_6_18
   118     default "2.6.18.1" if KERNEL_INSTALL_V_2_6_18_1
   119     default "2.6.18.2" if KERNEL_INSTALL_V_2_6_18_2
   120     default "2.6.18.3" if KERNEL_INSTALL_V_2_6_18_3
   121     default "2.6.18.4" if KERNEL_INSTALL_V_2_6_18_4
   122     default "2.6.18.5" if KERNEL_INSTALL_V_2_6_18_5
   123     default "2.6.18.6" if KERNEL_INSTALL_V_2_6_18_6
   124     default "2.6.19" if KERNEL_INSTALL_V_2_6_19
   125     default "2.6.19.1" if KERNEL_INSTALL_V_2_6_19_1
   126     default "2.6.19.2" if KERNEL_INSTALL_V_2_6_19_2
   127     default "2.6.20" if KERNEL_INSTALL_V_2_6_20
   128     default "2.6.20.1" if KERNEL_INSTALL_V_2_6_20_1
   129     default "2.6.20.2" if KERNEL_INSTALL_V_2_6_20_2
   130     default "2.6.20.3" if KERNEL_INSTALL_V_2_6_20_3
   131     default "2.6.20.4" if KERNEL_INSTALL_V_2_6_20_4
   132     default "2.6.20.5" if KERNEL_INSTALL_V_2_6_20_5
   133     default "2.6.20.6" if KERNEL_INSTALL_V_2_6_20_6
   134     default "2.6.20.7" if KERNEL_INSTALL_V_2_6_20_7
   135     default "2.6.21" if KERNEL_INSTALL_V_2_6_21
   136     default "2.6.21.1" if KERNEL_INSTALL_V_2_6_21_1
   137     default "2.6.21.2" if KERNEL_INSTALL_V_2_6_21_2
   138     default "2.6.21.3" if KERNEL_INSTALL_V_2_6_21_3
   139 # CT_INSERT_VERSION_STRING_ABOVE
   140 # Don't remove above line!